Bug 447457 - Review Request: gupnp-av - UPnP-AV is a collection of helpers for building AV upnp apps
Summary: Review Request: gupnp-av - UPnP-AV is a collection of helpers for building AV...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Denis Leroy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 446639
Blocks: 447456 454668
TreeView+ depends on / blocked
 
Reported: 2008-05-19 23:35 UTC by Peter Robinson
Modified: 2008-09-06 16:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-06 16:09:25 UTC
Type: ---
denis: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2008-05-19 23:35:59 UTC
SPEC: http://fedora.roving-it.com/rawhide/gupnp-av.spec
SRPM: http://fedora.roving-it.com/rawhide/gupnp-av-0.2-1.fc9.src.rpm

GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video)
applications using GUPnP.

Comment 1 Peter Robinson 2008-06-17 09:37:44 UTC
New SRPM. Spec file is the same location

SRPM: http://fedora.roving-it.com/rawhide/gupnp-av-0.2.1-1.fc9.src.rpm

Comment 3 Zeeshan Ali 2008-08-13 22:14:03 UTC
Sorry for being a nitpicker but one small correction to the description: AV upnp apps -> UPnP AV applications.

Comment 4 Denis Leroy 2008-08-29 13:27:19 UTC
Some items before the format review:

- URL source link is incorrect (s/gupnp/gupnp-av/)

- Same mistake in devel package summary

- %doc statement not necessary for gtk-doc dir (as with pangomm)

- Redundant entries in the %files section. The %dir entries are not strictly necessary, you could simply specify:

   %{_includedir}/gupnp-av-1.0
   %{_datadir}/gtk-doc/html/gupnp-av

this is pretty minor, almost a matter of style or preference.

Comment 5 Peter Robinson 2008-08-29 13:44:14 UTC
Fixed. New spec at same spot, new srpm here

http://pbrobinson.fedorapeople.org/gupnp-av-0.2.1-3.fc9.src.rpm

Comment 6 Peter Robinson 2008-08-30 13:19:58 UTC
gupnp that this depends on is now built and should hit rawhide tomorrow. Along with the srpm above all should be good to go now. I tested a scratch build in koji just now http://koji.fedoraproject.org/koji/taskinfo?taskID=795141

Comment 7 Peter Robinson 2008-09-03 14:00:04 UTC
Hi Denis,

With rawhide on the move again this now builds in koji. 
http://koji.fedoraproject.org/koji/taskinfo?taskID=802186

Peter

Comment 8 Denis Leroy 2008-09-04 07:41:27 UTC
- rpmlint clean
- name ok
- license ok (LGPLv2+)
- source md5sum ok
- deps ok
- dir ownership ok
- devel package split ok
- test programs compile and work ok

Package is APPROVED.

Comment 9 Peter Robinson 2008-09-04 09:21:47 UTC
New Package CVS Request
=======================
Package Name: gupnp-av
Short Description: GUPnP-AV is a collection of helpers for building UPnP AV applications
Owners: pbrobinson
Branches: F-8 F-9
InitialCC: pbrobinson
Cvsextras Commits: yes

Comment 10 Kevin Fenzi 2008-09-05 17:02:43 UTC
cvs done.

Comment 11 Peter Robinson 2008-09-06 16:09:25 UTC
Built and in rawhide. Thanks for your help Denis.


Note You need to log in before you can comment on or make changes to this bug.